Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.impl.factories
Class TaskFactory

    java.lang.Object
      org.jbpm.task.impl.factories.TaskFactory

    public class TaskFactory

extends Object

Constructor Summary
`TaskFactory()`

Method Summary
`static Task` | `evalTask(Reader reader)`
`static Task` | `evalTask(Reader reader, Map<String,Object> vars)`
`static Task` | `evalTask(Reader reader, Map<String,Object> vars, boolean initialize)`
`static Task` | `evalTask(String taskString, Map<String,Object> vars, boolean initialize)`
`static void` | `initializeTask(Task task)`
`static void` | `initializeTask(TaskDef taskDef, Task task)` This method contains the logic to initialize a Task using the defined semantic in the WS-HT specification
`static Task` | `newTask(TaskDef taskDef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskFactory

    public TaskFactory()

Method Detail

### newTask

    public static Task newTask(TaskDef taskDef)

### initializeTask

    public static void initializeTask(TaskDef taskDef,
                                      Task task)

  This method contains the logic to initialize a Task using the defined semantic in the WS-HT specification

  Parameters:
    `task` -

### initializeTask

    public static void initializeTask(Task task)

### evalTask

    public static Task evalTask(Reader reader,
                                Map<String,Object> vars,
                                boolean initialize)

### evalTask

    public static Task evalTask(String taskString,
                                Map<String,Object> vars,
                                boolean initialize)

### evalTask

    public static Task evalTask(Reader reader)

### evalTask

    public static Task evalTask(Reader reader,
                                Map<String,Object> vars)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.